Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		necpp
#Epoch:		0
Version:	1.4.0
Release:	1
License:	GNU/GPLv2
URL:		https://alioth.debian.org/projects/necpp/
Group:		Science/ElectricalEngineering
Summary:	C++ port of Numerical Electromagnetics Code (NEC-2)
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}_%{version}+cvs20091005.orig.tar.gz

# Patches:

# Requires:

# BuildRequires:
#BuildRequires: libxcb-devel
#BuildRequires: xcb-util-devel
#BuildRequires: gtk+-devel
#BuildRequires: gdk-pixbuf-devel

#Automatically resolved build dependencies

%description
NEC2++ is a C++ rewrite of the Numerical Electromagnetics Code (NEC-2). It can analyse radiating as well as scattering properties of structures. Nec2++ is available as a library for easy integration into automatic antenna design systems or GUI tools.

%package        devel
Summary:        %{name} development headers.
Group:          Development/
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}+cvs20091005

%build
make -f Makefile.cvs

./configure --prefix=%{_prefix} --without-lapack

# don`t use smp_mflags as parallel builds are broken
make 

%install
rm -Rf $RPM_BUILD_ROOT


make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/nec2++
%{_bindir}/nec2diff
%{_libdir}/libnecpp.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libnecpp.h
%{_libdir}/libnecpp.a
%{_libdir}/libnecpp.la
%{_libdir}/libnecpp.so


%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Fri Jun 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-1
- initial CCux package release
